Manuel PHP
Précédent |  | Suivant

# XMLReader->setParserProperty()

(no version information, might be only in CVS)

XMLReader->setParserProperty() -- Fixe ou supprime des options pour l'analyseur

## Description

class XMLReader {
bool setParserProperty ( int property, bool value )
}

Fixe ou supprime des options pour l'analyseur. Les options doivent être fixées après l'appel de xmlreader-open() ou xmlreader-xml() et avant le premier appel de xmlreader-read().

## Liste de paramètres

property

  Une des constantes d'analyseur.

value

  Si fixée à `TRUE`, l'option sera activée sinon elle sera désactivée.

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

Précédent | Sommaire | Suivant
XMLReader->read() | Niveau supérieur | XMLReader->setRelaxNGSchema()